//*****************************************************************************
//*
//*
//*		VirtualNetworkTools.h 
//*
//*
//*****************************************************************************
#ifndef 	__VIRTUALNETWORKTOOLS_H__
#define 	__VIRTUALNETWORKTOOLS_H__


#ifdef __cplusplus
extern	"C" {
#define D(a)	a	
#else
#define D(a)
#endif 	

#define 	VNET_AUTOPORT		0xFFFFFFFF
				
typedef		void *VnetHandle;



VnetHandle		VnetOpen     (unsigned uCard D(=0),unsigned uPort D(=VNET_AUTOPORT),unsigned char *pMacAddr D(=0),unsigned uTimeout D(=200),int iConnect D(=1),int iPromiscuous D(=0));
unsigned char  *VnetMac      (VnetHandle pHandle);
int				VnetClose    (VnetHandle pHandle);
int				VnetPort     (VnetHandle pHandle);
int				VnetConnect  (VnetHandle pHandle,int iConnect);
int				VnetInternal (VnetHandle pHandle);
int				VnetReset    (VnetHandle pHandle);
int				VnetVersion  (VnetHandle pHandle);
int				VnetSend     (VnetHandle pHandle,const void *pPacket,int iSize);
int				VnetRecv     (VnetHandle pHandle,      void *pPacket,int iSize);
int				VnetLastError();

#undef	D
#ifdef __cplusplus
}
#endif 	



#endif 

